## IAnjutaSymbolManager IAnjutaSymbolManager — Source code symbols manager inteface |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-symbol-manager.h>

    #define             IANJUTA_SYMBOL_MANAGER_ERROR
                        IAnjutaSymbolManager;
                        IAnjutaSymbolManagerIface;
    GQuark              ianjuta_symbol_manager_error_quark  (void);
    IAnjutaSymbolQuery* ianjuta_symbol_manager_create_query (IAnjutaSymbolManager *obj,
                                                             IAnjutaSymbolQueryName name,
                                                             IAnjutaSymbolQueryDb db,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaSymbolManager

## Prerequisites

IAnjutaSymbolManager requires GObject.

## Signals

      "prj-scan-end"                                   : Run Last
      "sys-scan-end"                                   : Run Last

## Description

## Details

### IANJUTA_SYMBOL_MANAGER_ERROR

    #define IANJUTA_SYMBOL_MANAGER_ERROR ianjuta_symbol_manager_error_quark()

### IAnjutaSymbolManager

    typedef struct _IAnjutaSymbolManager IAnjutaSymbolManager;

### IAnjutaSymbolManagerIface

    typedef struct {
    	GTypeInterface g_iface;

    	/* Signal */
    	void (*prj_scan_end) (IAnjutaSymbolManager *obj, gint process_id);
    	/* Signal */
    	void (*sys_scan_end) (IAnjutaSymbolManager *obj, gint process_id);

    	IAnjutaSymbolQuery* (*create_query) (IAnjutaSymbolManager *obj, IAnjutaSymbolQueryName name,  IAnjutaSymbolQueryDb db, GError **err);
    } IAnjutaSymbolManagerIface;

### ianjuta_symbol_manager_error_quark ()

    GQuark              ianjuta_symbol_manager_error_quark  (void);

Returns : |

### ianjuta_symbol_manager_create_query ()

    IAnjutaSymbolQuery* ianjuta_symbol_manager_create_query (IAnjutaSymbolManager *obj,
                                                             IAnjutaSymbolQueryName name,
                                                             IAnjutaSymbolQueryDb db,
                                                             GError **err);

Create a query object. By default only IANJUTA_SYMBOL_FIELD_ID and and IANJUTA_SYMBOL_FIELD_NAME are selected, limit is set to infinity, offset is set to 0, no filters are set and mode is set to IANJUTA_SYMBOL_QUERY_MODE_SYNC.

`obj` : | Self
`name` : | Name of the query. It decides what query type it is.
`db` : | The database to use.
`err` : | Error propagation and reporting.
Returns : | A IAnjutaSymbolQuery object

## Signal Details

### The `"prj-scan-end"` signal

    void                user_function                      (IAnjutaSymbolManager *ianjutasymbolmanager,
                                                            gint                  arg1,
                                                            gpointer              user_data)                 : Run Last

`ianjutasymbolmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"sys-scan-end"` signal

    void                user_function                      (IAnjutaSymbolManager *ianjutasymbolmanager,
                                                            gint                  arg1,
                                                            gpointer              user_data)                 : Run Last

`ianjutasymbolmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

## See Also

IAnjutaSymbol